RTEMS: bsps/shared/dev/serial/legacy-console.h File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Functions | Variables
legacy-console.h File Reference

Extension of the generic libchip console driver shell. More...

`#include <rtems.h>`
`#include <libchip/serial.h>`

Go to the source code of this file.

## Functions
int | vt_ioctl (unsigned int cmd, unsigned long arg)
| This function is the ioctl() support for a VGA buffer driver.
console_tbl * | console_find_console_entry (const char *match, size_t length, rtems_device_minor_number *match_minor)
| console_find_console_entry
void | console_initialize_data (void)
| console_initialize_data
void | console_register_devices (console_tbl *new_ports, size_t number_of_ports)
| console_register_devices

## Variables
rtems_device_minor_number | BSPPrintkPort

## Detailed Description

Extension of the generic libchip console driver shell.

## Function Documentation

## ◆ console_find_console_entry()

console_tbl * console_find_console_entry | ( | const char * | match,
|  | size_t | length,
|  | rtems_device_minor_number * | match_minor
| ) |  |

console_find_console_entry

This method is used to search the console entries for a specific device entry and return it. If match is NULL the minor number provided is matched.

## ◆ console_initialize_data()

void console_initialize_data | ( | void |  | ) |

console_initialize_data

This must be called before dynamic registration of devices can occur. It is normally called as a side-effect of console_initialize() but if a probe and dynamic registration occurs before that, then this method should be explicitly invoked.

## ◆ console_register_devices()

void console_register_devices | ( | console_tbl * | new_ports,
|  | size_t | number_of_ports
| ) |  |

console_register_devices

This function expands the console table to include previous ports and the array of new ports specified.

Parameters

  [in] | new_ports | specifies an array of new ports to register
  [in] | number_of_ports | specifies the number of elements in the new_ports array

## ◆ vt_ioctl()

int vt_ioctl | ( | unsigned int | cmd,
|  | unsigned long | arg
| ) |  |

This function is the ioctl() support for a VGA buffer driver.

Returns
  This method returns 0 on success.